Mailinglist Archive: opensuse-security-announce (93 mails)

< Previous Next >
[security-announce] openSUSE-SU-2019:1637-1: moderate: Security update for compat-openssl098
openSUSE Security Update: Security update for compat-openssl098
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:1637-1
Rating: moderate
References: #1117951 #1127080 #1131291
Cross-References: CVE-2019-1559
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that solves one vulnerability and has two fixes
is now available.

Description:

This update for compat-openssl098 fixes the following issues:

- CVE-2019-1559: Fix 0-byte record padding oracle via SSL_shutdown
(bsc#1127080)
- Reject invalid EC point coordinates (bsc#1131291)
- Fixed "The 9 Lives of Bleichenbacher's CAT: Cache ATtacks on TLS
Implementations" (bsc#1117951)

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2019-1637=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

compat-openssl098-debugsource-0.9.8j-30.1
libopenssl0_9_8-0.9.8j-30.1
libopenssl0_9_8-debuginfo-0.9.8j-30.1

- openSUSE Leap 42.3 (x86_64):

libopenssl0_9_8-32bit-0.9.8j-30.1
libopenssl0_9_8-debuginfo-32bit-0.9.8j-30.1


References:

https://www.suse.com/security/cve/CVE-2019-1559.html
https://bugzilla.suse.com/1117951
https://bugzilla.suse.com/1127080
https://bugzilla.suse.com/1131291

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages